Bug 834796 - [abrt] glade3-3.8.2-1.fc17: IA__gtk_tree_model_get_valist: Process /usr/bin/glade-3 was killed by signal 11 (SIGSEGV)
[abrt] glade3-3.8.2-1.fc17: IA__gtk_tree_model_get_valist: Process /usr/bin/g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glade3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
abrt_hash:741db8e906d684acbcf16f912c1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 12:19 EDT by Ludovic
Modified: 2013-07-31 20:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.17 KB, text/plain)
2012-06-23 12:19 EDT, Ludovic
no flags Details
File: maps (50.75 KB, text/plain)
2012-06-23 12:19 EDT, Ludovic
no flags Details
File: dso_list (10.93 KB, text/plain)
2012-06-23 12:19 EDT, Ludovic
no flags Details
File: build_ids (4.04 KB, text/plain)
2012-06-23 12:19 EDT, Ludovic
no flags Details

  None (edit)
Description Ludovic 2012-06-23 12:19:13 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        glade-3
comment:        Happened when I clicked on the inspector on a TreeView with no model
crash_function: IA__gtk_tree_model_get_valist
executable:     /usr/bin/glade-3
kernel:         3.4.2-4.interlope.fc17.x86_64
pid:            18197
pwd:            /home/ludovic
time:           ven. 22 juin 2012 02:08:29 CEST
uid:            1000
username:       ludovic

backtrace:      Text file, 33963 bytes
build_ids:      Text file, 4141 bytes
dso_list:       Text file, 11196 bytes
maps:           Text file, 51970 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ludovic/2

core_backtrace:
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x23faf2 gtk_tree_model_get_valist libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x23fe1c gtk_tree_model_get libgtk-x11-2.0.so.0 -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x35122 - libgladeui-1.so.11 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x24b255 gtk_tree_selection_selected_foreach libgtk-x11-2.0.so.0 -
:3ebbf657697ab6c71f82854f97cc73e02fe7ef6c 0x35023 - libgladeui-1.so.11 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x261fb1 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x2660b0 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14b8e4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bc4b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:70ab7156aa02c240fcda57c4876955ce2e1c8b85 0x8585 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=interlope
:LC_MONETARY=fr_FR.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/ludovic/keyring-luuZvn/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=7f552d772137f1f71e8ad21500000009-1340310398.65108-5801153
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=54525957
:LC_NUMERIC=fr_FR.utf8
:GNOME_KEYRING_CONTROL=/run/user/ludovic/keyring-luuZvn
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=ludovic
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/ludovic/keyring-luuZvn/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1851,unix/unix:/tmp/.ICE-unix/1851
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ludovic/.local/bin:/home/ludovic/bin
:MAIL=/var/spool/mail/ludovic
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ludovic
:XMODIFIERS=@im=none
:EDITOR=nano
:GNOME_KEYRING_PID=1847
:LANG=fr_FR.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=fr_FR.utf8
:KDEDIRS=/usr
:LC_MEASUREMENT=fr_FR.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/ludovic
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=ludovic
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-BKYcem0klU,guid=a4cdaa4d7e33c3bcddc781d50000001c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ludovic
:DISPLAY=:0
:LC_TIME=fr_FR.utf8
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-ludovic-RDG14r/database
:_=/usr/bin/glade-3

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 95903                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       95903                95903                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/3
:pos:	0
:flags:	0100002
:1:/dev/pts/3
:pos:	0
:flags:	0100002
:2:/dev/pts/3
:pos:	0
:flags:	0100002
:3:socket:[351141]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[353005]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[353006]
:pos:	0
:flags:	02004002
:8:/usr/share/glade3/catalogs
:pos:	9223372036854775807
:flags:	02304000
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:pipe:[351142]
:pos:	0
:flags:	00
:11:pipe:[351142]
:pos:	0
:flags:	04001
:12:socket:[351143]
:pos:	0
:flags:	02000002
:13:socket:[351144]
:pos:	0
:flags:	02004002
:14:socket:[351145]
:pos:	0
:flags:	02004002
:15:anon_inode:inotify
:pos:	0
:flags:	02004000
:16:socket:[351147]
:pos:	0
:flags:	02004002

var_log_messages:
:Jun 22 02:08:29 interlope kernel: [13333.622822] glade-3[18197]: segfault at 30 ip 00000032ce43faf2 sp 00007fffd62da700 error 4 in libgtk-x11-2.0.so.0.2400.10[32ce200000+46a000]
:Jun 22 02:08:29 interlope abrt[18325]: Saved core dump of pid 18197 (/usr/bin/glade-3) to /var/spool/abrt/ccpp-2012-06-22-02:08:29-18197 (61796352 bytes)
Comment 1 Ludovic 2012-06-23 12:19:17 EDT
Created attachment 593918 [details]
File: backtrace
Comment 2 Ludovic 2012-06-23 12:19:19 EDT
Created attachment 593919 [details]
File: maps
Comment 3 Ludovic 2012-06-23 12:19:21 EDT
Created attachment 593920 [details]
File: dso_list
Comment 4 Ludovic 2012-06-23 12:19:23 EDT
Created attachment 593921 [details]
File: build_ids
Comment 5 Ludovic 2012-07-28 06:01:15 EDT
Happened when copy-pasting a scrollbox from one vbox to another

backtrace_rating: 4
Package: glade3-3.8.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 18:44:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 20:50:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.